EXPIREOVER(8)

NAME
expireover - Expire entries from the news overview database

SYNOPSIS
expireover [ -a ] [ -D overviewdir ] [ -f file ] [ -n ] [ -O overview.fmt ] [ -s ] [ -v ] [ -z ] [ file... ]

DESCRIPTION
Expireover expires entries from the news overview database. It reads a list of pathnames (relative to the spool directory, /var/spool/news), from the specified files or standard input if none are specified. (A file name of ``-'' may be used to specify the standard input.) It then removes any mention of those articles from the appropriate overview database.

OPTIONS

-z  If the ``-z'' flag is used, then the input is assumed to be sorted such that all entries for a newsgroup appear together so that it can be purged at once. This flag can be useful when used with the sorted output of expire(8)'s ``-z'' flag.

-s  If the ``-s'' flag is used, then expireover will read the spool directory for all groups mentioned in the active(5) file, and remove the overview entries of any articles that do not appear in the directory.

-f  To specify an alternate file, use the ``-f'' flag; a name of ``-'' is taken to mean the standard input.

-a  The ``-a'' flag reads the spool directory and adds any missing overview entries. It will create files if necessary. This can be used to initialize a database, or to sync up a overview database that may be lacking articles due to a crash. Overchan should be running, to ensure that any incoming articles get included. Using this flag implies the ``-s'' flag; the ``-f'' flag may be used to add only a subset of the newsgroups.

-v  To see a list of the entries that would be added or deleted, use the ``-v'' flag.

-n  To perform no real updates, use the ``-n'' flag.

-D  The ``-D'' flag can be used to specify where the databases are stored. The default directory is /var/spool/news/over.view.

-O  The ``-O'' flag may be used to specify an alternate location for the overview.fmt(5) file; this is normally only useful for debugging.

HISTORY
Written by Rob Robertson <rob@violet.berkeley.edu> and Rich $alz <rsalz@uunet.uu.net> (with help from Dave Lawrence <tale@uunet.uu.net>) for InterNetNews.

SEE ALSO
expire(8), overview.fmt(5).